function love.load()
  got_joystick = get_joystick()
  print(got_joystick)

  window_width = love.graphics.getWidth()
  window_height = love.graphics.getHeight()

  x = window_width / 2
  y = window_height / 2
  speed = 600
end

function love.update(dt)
  if got_joystick then
    if love.keyboard.isDown("left") or joystick_01:isDown(12) then
      x = x - (speed * dt)
    end

    if love.keyboard.isDown("right") or joystick_01:isDown(13) then
      x = x + (speed * dt)
    end

    if love.keyboard.isDown("up") or joystick_01:isDown(14) then
      y = y - (speed * dt)
    end

    if love.keyboard.isDown("down") or joystick_01:isDown(15) then
      y = y + (speed * dt)
    end
  else
    if love.keyboard.isDown("left") then
      x = x - (speed * dt)
    end

    if love.keyboard.isDown("right") then
      x = x + (speed * dt)
    end

    if love.keyboard.isDown("up") then
      y = y - (speed * dt)
    end

    if love.keyboard.isDown("down") then
      y = y + (speed * dt)
    end
  end
end

function love.draw()
  love.graphics.rectangle("fill", x, y, 40, 40)
end

function get_joystick()
  joysticks = love.joystick.getJoysticks()

  if #joysticks ~= 0 then
    joystick_01 = love.joystick.getJoysticks()[1]
    return true
  else
    return false
  end
end
